 datablock PlayerData(SoldierSMGZombie : PlayerStandardArmor)
{
	//category = "Vehicles";
	minJetEnergy = 0;
	jetEnergyDrain = 0;
	canJet = 0;
	maxItems   = 0;	//total number of bricks you can carry
	maxWeapons = 0;		//this will be controlled by mini-game code
	maxTools = 0;
	runforce = 100 * 90;
	maxForwardSpeed = 8;
	maxBackwardSpeed = 8;
	maxSideSpeed = 8;
	attackpower = 10;
	//jumpsound = "ZombieJumpSound";
	cameradefaultFOV = 90;
	cameraMaxFov = 120;
	cameraMinFov = 10;
	//minlookangle = -1;
	//maxlookangle = -1;
	minlookangle = -1.5708;
	maxlookangle = 1.5708;
	BrickDestroyMaxVolume = 250;
	BrickMaxJumpHeight = 20;
	uiName = "AI SMG Soldier";
	rideable = true;
	canRide = true;
	BrickKillRadius = 2;
	skinColor = "1 0.79 0.57 1";
	packColor = "0.39 0.19 0 1";
	FollowAnim = "ArmReadyright";
	randomwalk = 1;
	aimatplayer = 1;
	SpecialAttack = 1;
	NoBloodyHands = 1;
	DoNotZombify = 1;
	chance = 90;
	ZombieTeam = "Soldier";
};
function SoldierSMGZombie::SpecialAttack(%this,%onshot)
{
	%ran = getrandom(-1,1);
	%ran2 = getrandom(-1,1);
	%this.setmovex(%ran);
	%this.setmovey(%ran);
	schedule(0,0,SoldierShootMode,%this);
	schedule(100,0,SoldierShootMode,%this);
	schedule(200,0,SoldierShootMode,%this);
	schedule(300,0,SoldierShootMode,%this);
	schedule(400,0,SoldierShootMode,%this);
	schedule(500,0,SoldierShootMode,%this);
	schedule(600,0,SoldierShootMode,%this);
	schedule(700,0,SoldierShootMode,%this);
	schedule(800,0,SoldierShootMode,%this);
	schedule(900,0,SoldierShootMode,%this);
	%this.schedule(3000,clearmovex);
}
function SoldierSMGShootMode(%this)
{
	if(isobject(%this) && %this.getstate() !$= "Dead")
	{
		%this.setimagetrigger(0,1);
		%this.setimagetrigger(0,0);
	}
}
function SoldierSMGZombie::ondisabled(%this,%obj)
{
	parent::ondisabled(%this,%obj);
	ZombieDefault::ondisabled(%this,%obj);
}
function SoldierSMGZombie::onCollision(%this, %obj, %col, %fade, %pos, %norm)
{
	parent::oncollision(%this, %obj, %col, %fade, %pos, %norm);
	ZombieDefault::onCollision(%this, %obj, %col, %fade, %pos, %norm);
}
function SoldierSMGZombie::onMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onMount(%a,%player,%vehicle,%d,%e,%f);
}
function SoldierSMGZombie::onUnMount(%a,%player,%vehicle,%d,%e,%f)
{
	ZombieDefault::onUnMount(%a,%player,%vehicle,%d,%e,%f);
	parent::onUnMount(%a,%player,%vehicle,%d,%e,%f);
}
function SoldierSMGZombie::onAdd(%this,%obj)
{
	parent::onAdd(%this,%obj);
	ZombieDefault::onAdd(%this,%obj);
	//schedule(10,0,nazify,%obj);
	schedule(15,0,soldierfy,%obj);
	//schedule(20,0,ghostifybot,%obj);
	//%obj.playthread(2,armreadyright);
	//%obj.setarmthread(crouch);
	%obj.mountimage(submachinegunimage,0);
}

function soldierSMGfy(%obj)
{
	%obj.name = "Soldier SMG";
	%obj.chestcolor = "0.0  0.5 0.0 1";
	%obj.hatcolor = "0.0  0.5 0.0 1";
	%obj.rarmcolor = "0.0  0.5 0.0 1";
	%obj.larmcolor = "0.0 0.5 0 1";
	%obj.hipcolor = "0.0 0.5 0.0 1";
	%obj.llegcolor = "0.39 0.19 0 1";
	%obj.rlegcolor = "0.39 0.19 0 1";
	%obj.packcolor = "0.39 0.19 0 1";

	%obj.chest = "0";
	%obj.lhand = "0";
	%obj.rhand = "0";
	%obj.larm = "0";
	%obj.rarm = "0";
	%obj.hat = "6";
	%obj.accent = "0";
	%obj.pack = "4";
	%obj.secondpack = "0";
	%obj.lleg = "0";
	%obj.rleg = "0";
	%obj.hip = "0";

	GameConnection::ApplyBodyParts(%obj);
	GameConnection::ApplyBodyColors(%obj);
	%obj.setfacename("smileyblonde");
	%obj.setdecalname("mod-police");
	%color = %obj.getdatablock().skincolor;
	%obj.setNodecolor($rhand[0], %color);
	%obj.setNodecolor($lhand[0], %color);
	%obj.setNodecolor("headskin", %color);
	%color1 = %obj.getdatablock().packcolor;
	%obj.setNodecolor("pack", %color1);
	//servercmdupdatebodyparts(%obj,6);
}
function servercmdsigheil(%client)
{
	%client.player.playthread(1,armreadyright);
	%client.player.setarmthread(armattack);
}
function servercmdunsigheil(%client)
{
	%client.player.setarmthread(look);
}
package SoldierSMGAttackPackage
{
function ProjectileData::onCollision(%this,%obj,%col,%fade,%pos,%normal)
{
	if(isobject(%obj.sourceobject) && %obj.sourceobject.getdatablock().getname() $= "SoldierSMGZombie")
	{
		//schedule(0,0,PropaneTankDamageF,%this,%obj,%col);
		%source = %obj.sourceobject;
		%obj.client = %obj.sourceobject;

		//echo(%source.getclassname());
		//echo(IsInMiniGame(%source));
		//echo(IsInSameMinigame(%col,%source));
		if(isobject(%obj.sourceobject) && %obj.sourceobject.getclassname() $= "AiPlayer" && IsInMinigame(%obj.sourceobject) && IsInSameMinigame(%col,%source))
		{
			if(%col.client != 0)
			{
				%source.cols = %col.client;
			}
			//%col.damage(%obj,%obj.sourceobject,%obj.getdatablock().directDamage/2,$DamageType::zombiebite);
		}
	}
	if(%col.getclassname() $= "AiPlayer" && %col.getdatablock().getname() $= "SoldierSMGZombie" && %obj.sourceobject.getdatablock().getname() $= "SoldierSMGZombie")return;

	parent::onCollision(%this,%obj,%col,%fade,%pos,%normal);
}
};
activatepackage(SoldierSMGAttackPackage);